[arch-commits] CVS update of extra/network/martian-utils (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sat Jun 2 10:49:13 EDT 2007


    Date: Saturday, June 2, 2007 @ 10:49:13
  Author: tpowa
    Path: /home/cvs-extra/extra/network/martian-utils

   Added: PKGBUILD (1.1)

'upgpkg: replace ltmodem driver with free working one'


----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)


Index: extra/network/martian-utils/PKGBUILD
diff -u /dev/null extra/network/martian-utils/PKGBUILD:1.1
--- /dev/null	Sat Jun  2 10:49:13 2007
+++ extra/network/martian-utils/PKGBUILD	Sat Jun  2 10:49:13 2007
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD,v 1.1 2007/06/02 14:49:13 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Steve Vialle <steve_v at orcon.net.nz>
+
+pkgname=martian-utils
+pkgver=20061203
+pkgrel=1
+license=("GPL" "custom:Agere Systems license")
+arch=('i686')
+_kernver=2.6.21-ARCH
+pkgdesc="Alternative drivers for the Mars chipset Lucent LT Winmodem (PCI). For beyond 2.6 kernel" 
+url="http://martian.barrelsoutofbond.org/"
+source=(http://www.barrelsoutofbond.org/downloads/martian/martian-full-${pkgver}.tar.gz martian.rc.d) 
+depends=('glibc')
+options=('NOSTRIP')
+replaces=('ltmodem-utils')
+
+build() { 
+
+#Build
+  cd $startdir/src/martian && make KERNEL_DIR=/usr/src/linux-${_kernver} all || return 1 
+
+#install helper app
+install -D -m 755 $startdir/src/martian/modem/martian_modem $startdir/pkg/usr/sbin/martian_modem
+
+#Install rc script
+install -D -m 755 $startdir/src/martian.rc.d $startdir/pkg/etc/rc.d/martian
+}  
+
+md5sums=('599dcd2441ce996bb466853cb95b9ec9'
+         '4e735ae1e74b8c2740637ff2308b9a33')




More information about the arch-commits mailing list